# Titolo: Streaming decentralizzato di contenuti audiovisivi

[atrent: i punti di domanda lasciali, sono domande a cui dovrai rispondere, li terrei tutti]

Riguardo a cosa bisognerebbe fare:

* Cittadinanza digitale e tecnocivismo: leggere il libro e spiegare un pò di cosa parla quindi collegandoci a:
  * Cos’è il Web 3.0
    * Anche se onestamente semrba che per molti il web3 sia crypto, blockchain, NTF etc quindi non so quanto centri, magari son solo da menzionare più avanti
  * Possibili difetti del web attuale quindi come ha detto lei "molto centralizzata e molto single-point-of-failure-or-control"
    * e quindi perché nasce questa voglia/necessità di rompere il ciclo?
  * Decentralizzazione: cos'è (quindi per noi il P2P generico) vs sistemi distribuiti classici centralizzati  
    * Cosa implica questa decentralizzazione rapportato a come funziona il web ora
      * Quindi possibilmente riappropriazione dei dati personali
      * "direi anche comportamenti (reificati nei dati, ok)"? sono un attimo confuso su questo punto
      * Mi viene in mente però tutto il discorso "never trust a client" che potrebbe essere un problema in un approccio simile
        * https://medium.com/@berniedurfee/never-trust-a-client-not-even-your-own-2de342723674
        * https://www.wearenova.co.uk/nova-blog/when-it-comes-to-online-security-why-you-should-never-trust-a-client
        * https://jeffjadulco.com/blog/never-trust-client
* Parte più tecnica:
  * Introduzione su cosa è un servizio di streaming: come da mail noi in realtà ci siamo detti di trattare non solo la parte live quindi one to many per dire ma anche cose come jitsi/bluebutton/etc collegandoci a syncthing come inizio del discorso
* Decidere se trattare la parte del layer di trasporto che infulenza la progettazione del layer app (esempio parte 7 del paper MPEG21)
* Analisi delle soluzioni esistenti
  * Resilienza di una piattaforma nel passare da decentralizzata a centralizzata in caso di successo
    * quindi resilienza nel volere il controllo dei dati
    * vari meccanismi di decentralizzazione finora saltati fuori (fin dal p2p di tanti anni fa), i filesystem distribuiti, ecc.
  * Testing delle piattaforme in base a dei criteri da definire, esempio: facilità di utilizzo, indicizzazione, performance dei protocolli (latenza, larghezza di banda, conversione dello stream in stream a qualità inferiore, …)
    * Bisogna definire un metodo e il più possibile standard per testare le diverse soluzoni software sennò c'è il rischio dell'invalidità dei dati
  * Moderazione dei contenuti come viene fatta? Ha senso moderare in un ambiente decentralizzato? Che problemi possono sorgere da questo? Tipo hate speech, etc
* Conclusione: quindi futuro del web?

### Altre domande un po’ a random

Facciamo anche un analisi dei sistemi illegali (ovvero  tipo streaming illegale di contenuti DRM)? Esistono leggi che regolano questo ambito (vedi Digital Services Act)

## altro template tesi

just in case [Andrea Trentini / TemplateTesi · GitLab](https://gitlab.com/andrea-trentini/TemplateTesi)

## link articoli

* [Il futuro passa dal WEB 3 e NFT - In Evidenza - ANSA.it](https://www.ansa.it/sito/notizie/economia/ofc/in_evidenza/2022/04/05/il-futuro-passa-dal-web-3-e-nft_b495a1ed-0cfc-4ebc-a074-6eeec055ebf9.html)
* [Digital Services Act must go full mile to better protect consumers, not take half-measures](https://www.eubusiness.com/Members/BEUC/digital-services-act-protect-consumers/)
* [Twitch is reportedly looking at ways to make itself worse | PC Gamer](https://www.pcgamer.com/twitch-is-reportedly-looking-at-ways-to-make-itself-worse/?utm_campaign=socialflow&utm_medium=social&utm_source=facebook.com&fbclid=IwAR3ku9H1lx0SSyQemGBmRhp5BTPZSStb-3MuXUpU8w4fYrITjz9ZgVbkj8E)


## link inerenti
* [Tinc (protocol) - Wikipedia](https://en.wikipedia.org/wiki/Tinc_(protocol))
* [tinc](https://www.tinc-vpn.org/)
* [Noise Protocol Framework](https://noiseprotocol.org/)
* [IPFS Powers the Distributed Web](https://ipfs.io/)
* [Create and Multistream Live Video | Restream](https://restream.io/)
* https://en.wikipedia.org/wiki/P2PTV
* https://en.wikipedia.org/wiki/Peercasting
## protocolli e piattaforme streaming p2p (alcuni sono abbandonati)
* https://en.wikipedia.org/wiki/Ace_Stream
* https://en.wikipedia.org/wiki/Tribler
* https://en.wikipedia.org/wiki/PULSE_(P2PTV)
* https://strivecast.com/
* http://imedia.disi.unitn.it/P2PStreamers/grapes.html
* http://imedia.disi.unitn.it/P2PStreamers
* https://dlive.tv/
  * blockchain-based live streaming, molto simile a twitch e la soluzione più completa a primo impatto, anche se sembra sia utilizzata dalla alt-right wing per fare hate-speech quindi rafforza il mio dubbio sulla necessità di trattare anche questo argomento
* http://www.scvi.net/stream/soft.htm
* http://peerstreamer.org/index.html
* https://github.com/novage/p2p-media-loader
* https://github.com/nimigeanu/p2p-live-streaming-platform (basato su media loder sembra)
* https://en.wikipedia.org/wiki/Jitsi
* https://en.wikipedia.org/wiki/BigBlueButton